Class | ActiveMerchant::Billing::PaySecureGateway
In: | lib/active_merchant/billing/gateways/pay_secure.rb
Parent: | Gateway

### Methods

new purchase

### Constants

URL | = | 'https://clearance.commsecure.com.au/cgi-bin/PSDirect'
TRANSACTIONS | = | { :purchase => 'PURCHASE', :authorization => 'AUTHORISE', :capture => 'ADVICE', :credit => 'REFUND' |  | Currently Authorization and Capture is not implemented because capturing requires the original credit card information
SUCCESS | = | 'Accepted'
SUCCESS_MESSAGE | = | 'The transaction was approved'

### Public Class methods

new(options = {})

### Public Instance methods

purchase(money, credit_card, options = {})

[Validate]